#ifndef	_TXDCMD_H
#define	_TXDCMD_H

#define	TXD_ESC			(40)
#define	TXD_CANCEL		(41)
#define	TXD_CR			(42)
#define	TXD_TAB			(43)
#define	TXD_RTAB		(44)
#define	TXD_HARDTAB		(45)
#define	TXD_SPACETAB	(46)
#define	TXD_SKIPTAB		(47)

#define	TXD_CHANGECH	(61)
#define	TXD_EXCHANGECH	(62)

#define	TXD_CUR_UP		(81)
#define	TXD_CUR_DOWN	(82)
#define	TXD_CUR_LEFT	(83)
#define	TXD_CUR_RIGHT	(84)
#define	TXD_TOPOFLINE	(85)
#define	TXD_LASTOFLINE	(86)
#define	TXD_PREV_LINE	(87)
#define	TXD_NEXT_LINE	(88)
#define	TXD_PREV_PAGE	(89)
#define	TXD_NEXT_PAGE	(90)
#define	TXD_CUR_UP_N	(91)
#define	TXD_CUR_DOWN_N	(92)
#define	TXD_LEFTSLIDE	(93)
#define	TXD_RIGHTSLIDE	(94)
#define	TXD_NEXTWORD	(95)
#define	TXD_PREVWORD	(96)
#define	TXD_TOPOFTEXT	(97)
#define	TXD_LASTOFTEXT	(98)
#define	TXD_LASTTOUCH	(99)
#define	TXD_NESTJUMP	(100)

#define	TXD_DEL_CHAR	(121)
#define	TXD_BS			(122)
#define	TXD_DEL_LINE	(123)
#define	TXD_DEL_RIGHT	(124)
#define	TXD_DEL_LEFT	(125)
#define	TXD_DEL_FWORD	(126)
#define	TXD_DEL_BWORD	(127)
#define	TXD_LDBUFPASTE	(131)

#define	TXD_UNDO		(141)
#define	TXD_REDO		(142)

#define	TXD_CUTSTART	(161)
#define	TXD_CUTDEL		(162)
#define	TXD_CUTEND		(163)
#define	TXD_CUTPASTE	(164)
#define	TXD_LCUTSTART	(165)
#define	TXD_RCUTSTART	(166)
#define	TXD_CUTCORRECT	(169)
#define	TXD_SCBUFSET	(171)
#define	TXD_SCBUFPASTE	(172)
#define	TXD_POCKETIN	(175)
#define	TXD_POCKETOUT	(176)
#define	TXD_CBUF2POCKET	(177)
#define	TXD_POCKET2CBUF	(178)	/* not use	*/

#define	TXD_SEARCHFO	(180)
#define	TXD_SEARCHBK	(181)
#define	TXD_SEARCHNX	(182)
#define	TXD_SEARCHPV	(183)
#define	TXD_SEARCHALL	(184)
#define	TXD_REPLACE		(190)
#define	TXD_MREPLACE	(191)

#define	TXD_DBG_DSP		(201)
#define	TXD_VEDIT_MODE	(202)
#define	TXD_DSPTABCRLF	(203)
#define	TXD_CHGINPMODE	(204)
#define	TXD_CHGOVWMODE	(205)
#define	TXD_CHGCOLTBL	(206)
#define	TXD_CHGTABKEY	(207)
#define	TXD_CHGDSPKS	(208)
#define	TXD_CHGAINDENT	(209)
#define	TXD_CHGUPCASE	(210)

#define	TXD_SETRLSTART	(221)
#define	TXD_SETRLEND	(222)

#define	TXD_RECTSTART	(231)
#define	TXD_RECTEND		(232)

#define	TXD_CALLUSRFNC	(241)

#define	TXD_PFX			(255)

#endif
